scala.compat
object Math

[source: `scala/compat/Math.scala`]

`` `object` Math
  `extends` AnyRef

  This class will be removed soon. Use scala.Math instead

Value Summary
`val` | E : Double
`val` | EPS_DOUBLE : Double
`val` | EPS_FLOAT : Float
`val` | MAX_BYTE : Byte
`val` | MAX_CHAR : Char
`val` | MAX_DOUBLE : Double
`val` | MAX_FLOAT : Float
`val` | MAX_INT : Int
`val` | MAX_LONG : Long
`val` | MAX_SHORT : Short
`val` | MIN_BYTE : Byte
`val` | MIN_CHAR : Char
`val` | MIN_DOUBLE : Double
`val` | MIN_FLOAT : Float
`val` | MIN_INT : Int
`val` | MIN_LONG : Long
`val` | MIN_SHORT : Short
`val` | NEG_INF_DOUBLE : Double
`val` | NEG_INF_FLOAT : Float
`val` | NaN_DOUBLE : Double
`val` | NaN_FLOAT : Float
`val` | PI : Double
`val` | POS_INF_DOUBLE : Double
`val` | POS_INF_FLOAT : Float

Method Summary
`def` | ceil (x : Double) : Double
`def` | floor (x : Double) : Double
`def` | log (x : Double) : Double
`def` | max (x : Int, y : Int) : Int
`def` | min (x : Int, y : Int) : Int
`def` | sqrt (x : Double) : Double

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` MIN_BYTE : Byte

`` `val` MAX_BYTE : Byte

`` `val` MIN_SHORT : Short

`` `val` MAX_SHORT : Short

`` `val` MIN_CHAR : Char

`` `val` MAX_CHAR : Char

`` `val` MIN_INT : Int

`` `val` MAX_INT : Int

`` `val` MIN_LONG : Long

`` `val` MAX_LONG : Long

`` `val` MIN_FLOAT : Float

`` `val` EPS_FLOAT : Float

`` `val` MAX_FLOAT : Float

`` `val` NaN_FLOAT : Float

`` `val` NEG_INF_FLOAT : Float

`` `val` POS_INF_FLOAT : Float

`` `val` MIN_DOUBLE : Double

`` `val` EPS_DOUBLE : Double

`` `val` MAX_DOUBLE : Double

`` `val` NaN_DOUBLE : Double

`` `val` NEG_INF_DOUBLE : Double

`` `val` POS_INF_DOUBLE : Double

`` `val` E : Double

`` `val` PI : Double

Method Details

`` `def` min(x : Int, y : Int) : Int

`` `def` max(x : Int, y : Int) : Int

`` `def` ceil(x : Double) : Double

`` `def` floor(x : Double) : Double

`` `def` log(x : Double) : Double

`` `def` sqrt(x : Double) : Double